# Functor Ephemeron.K2.MakeSeeded

    module MakeSeeded: functor (H1 : Hashtbl.SeededHashedType) -> functor (H2 : Hashtbl.SeededHashedType) -> Ephemeron.SeededS  with type key = H1.t * H2.t

Functor building an implementation of a weak hash table. The seed is similar to the one of `Hashtbl.MakeSeeded`.

Parameters: |
`H1` | : | `Hashtbl.SeededHashedType`
`H2` | : | `Hashtbl.SeededHashedType`

    include Hashtbl.SeededS

    val clean : 'a t -> unit

remove all dead bindings. Done automatically during automatic resizing.

    val stats_alive : 'a t -> Hashtbl.statistics

same as `Hashtbl.SeededS.stats` but only count the alive bindings